Get Vector Style
Get Vector Style
GET
/api/v1/styles/base.json
Description
Returns the vector style JSON for use in Mapbox and other map renderers which support vector rendering.
This URL should be used as the base style.
Authentication
This endpoint accepts a Bearer token in the Authorization header or a token query parameter. See Authentication for details.
Query Parameters
- styleId: Identifier for a custom style.
- styleName: Identifier for a custom style (Finds the style by name)
- theme: Set to
day,duskornightto change color schemes. - depthLimit: Sets the safety contour value in meters.
- depthUnits: Sets the units for depth soundings:
meters,feet, orfathomsare valid. - showEncBoundaries: Show an outline of the S-57 ENC chart cells. Defaults to
false. - showMaritimeBoundaries (Optional): Display non-ENC maritime administrative boundaries. One of
false(hidden),lines(boundary lines and labels), orfull(lines, labels, and area fills). Defaults tofalse. - showPlaceNames: Show names of landmarks & built-up areas. Defaults to
true. - showOverscale: Show an indication when the map is zoomed in too far. Defaults to
true. - showNoData: Show an indication where there is no ENC data. Defaults to
true. - showSatellite: Render a satellite imagery basemap underneath the chart. Defaults to
false. - maskLandAreas: When
showSatelliteis enabled, removes the basemap’s flat land fill so satellite imagery shows through on land outside charted coverage. Defaults tofalse. - satelliteTileUrl: Raster tile URL template to use for the satellite basemap instead of the built-in imagery source, e.g. from Mapbox or another provider. Must be a URL-encoded string containing
{z},{x}, and{y}placeholders. Only used whenshowSatelliteistrue. - roundOffSoundings: Round soundings to the nearest (localized) whole number. Defaults to
false. - showLightSectors: Toggle the visibility of lighthouse sector visualization. Defaults to
true. - showUserReports: Include crowdsourced user report markers on the chart. Defaults to
false. - glyphs: Override the glyphs (fonts) for the style with another URL. Must be a URL-encoded string.
- font: Override the font used for soundings and other textual elements.
Example Usage
in Mapbox GL JS:
const map = new mapboxgl.Map({
...
style: "https://api.vectorcharts.com/api/v1/styles/base.json?token=<token>&theme=day&depthLimit=10"
});
Example Request GET https://api.vectorcharts.com/api/v1/styles/base.json?theme=day&depthLimit=10 Authorization: Bearer <token> Example Response ... style json document ...